net.i2p.client

## Enum SendMessageOptions.GzipOption

- java.lang.Object
- - java.lang.Enum<SendMessageOptions.GzipOption>
  - - net.i2p.client.SendMessageOptions.GzipOption

- All Implemented Interfaces:
    Serializable, Comparable<SendMessageOptions.GzipOption>
  Enclosing class:
    SendMessageOptions

      public static enum SendMessageOptions.GzipOption
      extends Enum<SendMessageOptions.GzipOption>

  Overrides i2cp.gzip session option and size threshold for this message only.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `GZIP_OFF`
    `GZIP_ON`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SendMessageOptions.GzipOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SendMessageOptions.GzipOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final SendMessageOptions.GzipOption DEFAULT

    - #### GZIP_OFF

          public static final SendMessageOptions.GzipOption GZIP_OFF

    - #### GZIP_ON

          public static final SendMessageOptions.GzipOption GZIP_ON

  - ### Method Detail

    - #### valueOf

          public static SendMessageOptions.GzipOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static SendMessageOptions.GzipOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SendMessageOptions.GzipOption c : SendMessageOptions.GzipOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared